org.eclipse.aether.resolution

## Class DependencyResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.resolution.DependencyResolutionException

- All Implemented Interfaces:
    Serializable

      public class DependencyResolutionException
      extends RepositoryException

  Thrown in case of a unresolvable dependencies.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyResolutionException(DependencyResult result, String message, Throwable cause)` Creates a new exception with the specified result, detail message and cause.
    `DependencyResolutionException(DependencyResult result, Throwable cause)` Creates a new exception with the specified result and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DependencyResult` | `getResult()` Gets the dependency result at the point the exception occurred.

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyResolutionException

          public DependencyResolutionException(DependencyResult result,
                                       Throwable cause)

      Creates a new exception with the specified result and cause.
      Parameters:
        `result` - The dependency result at the point the exception occurred, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

    - #### DependencyResolutionException

          public DependencyResolutionException(DependencyResult result,
                                       String message,
                                       Throwable cause)

      Creates a new exception with the specified result, detail message and cause.
      Parameters:
        `result` - The dependency result at the point the exception occurred, may be `null`.
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

  - ### Method Detail

    - #### getResult

          public DependencyResult getResult()

      Gets the dependency result at the point the exception occurred. Despite being incomplete, callers might want to use this result to fail gracefully and continue their operation with whatever interim data has been gathered.
      Returns:
        The dependency result or `null` if unknown.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.